import { jsx } from "react/jsx-runtime";
import { CraneTower as CraneTower$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CraneTower = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CraneTower", ...props, children: /* @__PURE__ */ jsx(CraneTower$1, { weight: variant }) });
  }
);
CraneTower.displayName = "CraneTower";
Object.assign(CraneTower, { isGdsIcon: true });
export {
  CraneTower
};
